.modal-dialog{max-width: 1280px;}
.modal-content{border: none;
    background-image: url(../img/background/bg-modal.jpg);
    background-size: cover; background-position: center bottom; background-repeat: no-repeat;
    @include border-radius(10px);
    @include box-shadow(0 10px 20px 0 rgba(0,0,0,0.16));
    &:before{content: ''; position: absolute; right: -165px; bottom: -48px; width: 500px; height: 530px;
        background-image: url(../img/static/ojb-modal.png); pointer-events: none;
        background-size: contain; background-position: center; background-repeat: no-repeat;
    }
}
.modal-close{position: absolute; z-index: 9; top: -55px; right: -55px;
    border: none; background-color: transparent; 
    @include transition(all 400ms ease-out);
    .icon{ display: flex; align-items: center; justify-content: center;
        width: 50px; height: 50px; margin: 0 auto;
        svg {height: 100%;width: 100%; position: absolute; z-index: 0;}
        path { stroke: $color-light; fill: none; stroke-width: 5px; 
            @include transition(all 400ms ease-out);
        }
        .feather{ position: relative; z-index: 1; font-size: 30px; color: $color-light; 
            @include transition(all 400ms ease-out);
        }
    }
    &:hover{
        .icon{
            path { stroke: $color-light; fill: $color-light;}
            .feather{color: $color-primary;}
        }
    }
}
.modal-body{height: 796px; position: relative; z-index: 1; display: flex; align-items: center; justify-content: center;
    background-image: url(../img/background/bg-modal-body.png);
    background-size: contain; background-position: left bottom; background-repeat: no-repeat;
    @include border-radius(10px);
    .inner{text-align: center;}
    .icon{width: 190px; height: 190px; overflow: hidden; display: flex; align-items: center; justify-content: center;
        clip-path: polygon(45% 1.33975%, 46.5798% 0.60307%, 48.26352% 0.15192%, 50% 0%, 51.73648% 0.15192%, 53.4202% 0.60307%, 55% 1.33975%, 89.64102% 21.33975%, 91.06889% 22.33956%, 92.30146% 23.57212%, 93.30127% 25%, 94.03794% 26.5798%, 94.48909% 28.26352%, 94.64102% 30%, 94.64102% 70%, 94.48909% 71.73648%, 94.03794% 73.4202%, 93.30127% 75%, 92.30146% 76.42788%, 91.06889% 77.66044%, 89.64102% 78.66025%, 55% 98.66025%, 53.4202% 99.39693%, 51.73648% 99.84808%, 50% 100%, 48.26352% 99.84808%, 46.5798% 99.39693%, 45% 98.66025%, 10.35898% 78.66025%, 8.93111% 77.66044%, 7.69854% 76.42788%, 6.69873% 75%, 5.96206% 73.4202%, 5.51091% 71.73648%, 5.35898% 70%, 5.35898% 30%, 5.51091% 28.26352%, 5.96206% 26.5798%, 6.69873% 25%, 7.69854% 23.57212%, 8.93111% 22.33956%, 10.35898% 21.33975%);
        &:before{content: ''; position: absolute; z-index: -1; top: 0; left: 0; right: 0; bottom: 0;}
        img{max-width: 97px; max-height: 97px;}
        margin-left: auto; margin-right: auto;
        margin-bottom: 30px;
    }
    .desc{font-size: 36px; font-weight: bold; line-height: 1;}
    .title{font-size: 90px; font-weight: bold; line-height: 1;}
    .desc+.title{margin-top: 10px;}
    .title+.sub-txt{margin-top: 15px;}
    .sub-txt{font-size: 24px; font-weight: normal; line-height: 1; color: #707070;}
    .action{padding-top: 60px;
        .btn{width: 300px; height: 60px; line-height: 58px; border: 1px solid #999999;
            font-size: 24px; font-weight: normal; color: #999999; background-color: $color-light;
            @include border-radius(10px);
            +.btn{margin-left: 40px;}
            &:hover{background-color: #999; color: $color-light;}
        }
    }
    
}
.modal-body.-success{
    .icon:before{background-image: linear-gradient(180deg, #4DA412 0%, #58DB00 100%);}
    .desc{color: #4DA412;}
    .title{color: #4DA412;}
    .btn.-color{border-color: #4DA412; color: #4DA412;
        &:hover{background-color: #4DA412; color: $color-light;}
    }
}
.modal-body.-failed{
    .icon:before{background-image: linear-gradient(180deg, #FF0000 0%, #F76A00 100%);}
    .desc{color: #FF0000;}
    .title{color: #FF0000;}
    .btn.-color{border-color: #FF0000; color: #FF0000;
        &:hover{background-color: #FF0000; color: $color-light;}
    }
}